package com.supervision.controller;

import com.supervision.pojo.vo.TalkReqVO;
import com.supervision.pojo.vo.TalkResultResVO;
import com.supervision.pojo.vo.TalkVideoReqVO;
import com.supervision.service.AskService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletResponse;
import java.io.IOException;
import java.io.OutputStream;

@Api(tags = "问诊")
@RestController
@RequestMapping("/ask/")
public class AskController {

    @Autowired
    private AskService askService;

    @ApiOperation("接收页面的语音消息转文字")
    @PostMapping("/receiveVoiceFile")
    public String receiveVoiceFile(@RequestParam("file") MultipartFile file) {
        return askService.receiveVoiceFile(file);
    }

    @ApiOperation("使用京东数字人进行对话(这个接口使用京东数字人接口来做)")
    @PostMapping("/talk")
    public TalkResultResVO talk(@RequestBody TalkReqVO talkReqVO) throws IOException {
        return askService.talk(talkReqVO);
    }

    @ApiOperation("使用本地视频的形式来做")
    @PostMapping("/talkByVideo")
    public TalkResultResVO talkByVideo(@RequestBody TalkVideoReqVO talkReqVO) throws IOException {
        return askService.talkByVideo(talkReqVO);
    }



}
